import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ConfigRemediationConfigurationConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#config_rule_name ConfigRemediationConfiguration#config_rule_name}.
     *
     * @stability stable
     */
    readonly configRuleName: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#resource_type ConfigRemediationConfiguration#resource_type}.
     *
     * @stability stable
     */
    readonly resourceType?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#target_id ConfigRemediationConfiguration#target_id}.
     *
     * @stability stable
     */
    readonly targetId: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#target_type ConfigRemediationConfiguration#target_type}.
     *
     * @stability stable
     */
    readonly targetType: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#target_version ConfigRemediationConfiguration#target_version}.
     *
     * @stability stable
     */
    readonly targetVersion?: string;
    /**
     * parameter block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#parameter ConfigRemediationConfiguration#parameter}
     *
     * @stability stable
     */
    readonly parameter?: ConfigRemediationConfigurationParameter[];
}
/**
 * @stability stable
 */
export interface ConfigRemediationConfigurationParameter {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#name ConfigRemediationConfiguration#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#resource_value ConfigRemediationConfiguration#resource_value}.
     *
     * @stability stable
     */
    readonly resourceValue?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html#static_value ConfigRemediationConfiguration#static_value}.
     *
     * @stability stable
     */
    readonly staticValue?: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html aws_config_remediation_configuration}.
 *
 * @stability stable
 */
export declare class ConfigRemediationConfiguration extends cdktf.TerraformResource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/config_remediation_configuration.html aws_config_remediation_configuration} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ConfigRemediationConfigurationConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _configRuleName;
    /**
     * @stability stable
     */
    get configRuleName(): string;
    /**
     * @stability stable
     */
    set configRuleName(value: string);
    /**
     * @stability stable
     */
    get configRuleNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceType?;
    /**
     * @stability stable
     */
    get resourceType(): string;
    /**
     * @stability stable
     */
    set resourceType(value: string);
    /**
     * @stability stable
     */
    resetResourceType(): void;
    /**
     * @stability stable
     */
    get resourceTypeInput(): string | undefined;
    private _targetId;
    /**
     * @stability stable
     */
    get targetId(): string;
    /**
     * @stability stable
     */
    set targetId(value: string);
    /**
     * @stability stable
     */
    get targetIdInput(): string;
    private _targetType;
    /**
     * @stability stable
     */
    get targetType(): string;
    /**
     * @stability stable
     */
    set targetType(value: string);
    /**
     * @stability stable
     */
    get targetTypeInput(): string;
    private _targetVersion?;
    /**
     * @stability stable
     */
    get targetVersion(): string;
    /**
     * @stability stable
     */
    set targetVersion(value: string);
    /**
     * @stability stable
     */
    resetTargetVersion(): void;
    /**
     * @stability stable
     */
    get targetVersionInput(): string | undefined;
    private _parameter?;
    /**
     * @stability stable
     */
    get parameter(): ConfigRemediationConfigurationParameter[];
    /**
     * @stability stable
     */
    set parameter(value: ConfigRemediationConfigurationParameter[]);
    /**
     * @stability stable
     */
    resetParameter(): void;
    /**
     * @stability stable
     */
    get parameterInput(): ConfigRemediationConfigurationParameter[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
