import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsGlueDataCatalogEncryptionSettingsConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/glue_data_catalog_encryption_settings.html#catalog_id DataAwsGlueDataCatalogEncryptionSettings#catalog_id}.
     *
     * @stability stable
     */
    readonly catalogId: string;
}
/**
 * @stability stable
 */
export declare class DataAwsGlueDataCatalogEncryptionSettingsDataCatalogEncryptionSettingsConnectionPasswordEncryption extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get awsKmsKeyId(): string;
    /**
     * @stability stable
     */
    get returnConnectionPasswordEncrypted(): boolean;
}
/**
 * @stability stable
 */
export declare class DataAwsGlueDataCatalogEncryptionSettingsDataCatalogEncryptionSettingsEncryptionAtRest extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get catalogEncryptionMode(): string;
    /**
     * @stability stable
     */
    get sseAwsKmsKeyId(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsGlueDataCatalogEncryptionSettingsDataCatalogEncryptionSettings extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get connectionPasswordEncryption(): any;
    /**
     * @stability stable
     */
    get encryptionAtRest(): any;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/d/glue_data_catalog_encryption_settings.html aws_glue_data_catalog_encryption_settings}.
 *
 * @stability stable
 */
export declare class DataAwsGlueDataCatalogEncryptionSettings extends cdktf.TerraformDataSource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/d/glue_data_catalog_encryption_settings.html aws_glue_data_catalog_encryption_settings} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsGlueDataCatalogEncryptionSettingsConfig);
    private _catalogId;
    /**
     * @stability stable
     */
    get catalogId(): string;
    /**
     * @stability stable
     */
    set catalogId(value: string);
    /**
     * @stability stable
     */
    get catalogIdInput(): string;
    /**
     * @stability stable
     */
    dataCatalogEncryptionSettings(index: string): DataAwsGlueDataCatalogEncryptionSettingsDataCatalogEncryptionSettings;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
