import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsOutpostsOutpostsConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/outposts_outposts.html#availability_zone DataAwsOutpostsOutposts#availability_zone}.
     *
     * @stability stable
     */
    readonly availabilityZone?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/outposts_outposts.html#availability_zone_id DataAwsOutpostsOutposts#availability_zone_id}.
     *
     * @stability stable
     */
    readonly availabilityZoneId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/outposts_outposts.html#owner_id DataAwsOutpostsOutposts#owner_id}.
     *
     * @stability stable
     */
    readonly ownerId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/outposts_outposts.html#site_id DataAwsOutpostsOutposts#site_id}.
     *
     * @stability stable
     */
    readonly siteId?: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/d/outposts_outposts.html aws_outposts_outposts}.
 *
 * @stability stable
 */
export declare class DataAwsOutpostsOutposts extends cdktf.TerraformDataSource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/d/outposts_outposts.html aws_outposts_outposts} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsOutpostsOutpostsConfig);
    /**
     * @stability stable
     */
    get arns(): string[];
    private _availabilityZone?;
    /**
     * @stability stable
     */
    get availabilityZone(): string;
    /**
     * @stability stable
     */
    set availabilityZone(value: string);
    /**
     * @stability stable
     */
    resetAvailabilityZone(): void;
    /**
     * @stability stable
     */
    get availabilityZoneInput(): string | undefined;
    private _availabilityZoneId?;
    /**
     * @stability stable
     */
    get availabilityZoneId(): string;
    /**
     * @stability stable
     */
    set availabilityZoneId(value: string);
    /**
     * @stability stable
     */
    resetAvailabilityZoneId(): void;
    /**
     * @stability stable
     */
    get availabilityZoneIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ids(): string[];
    private _ownerId?;
    /**
     * @stability stable
     */
    get ownerId(): string;
    /**
     * @stability stable
     */
    set ownerId(value: string);
    /**
     * @stability stable
     */
    resetOwnerId(): void;
    /**
     * @stability stable
     */
    get ownerIdInput(): string | undefined;
    private _siteId?;
    /**
     * @stability stable
     */
    get siteId(): string;
    /**
     * @stability stable
     */
    set siteId(value: string);
    /**
     * @stability stable
     */
    resetSiteId(): void;
    /**
     * @stability stable
     */
    get siteIdInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
