import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsStoragegatewayLocalDiskConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/storagegateway_local_disk.html#disk_node DataAwsStoragegatewayLocalDisk#disk_node}.
     *
     * @stability stable
     */
    readonly diskNode?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/storagegateway_local_disk.html#disk_path DataAwsStoragegatewayLocalDisk#disk_path}.
     *
     * @stability stable
     */
    readonly diskPath?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/storagegateway_local_disk.html#gateway_arn DataAwsStoragegatewayLocalDisk#gateway_arn}.
     *
     * @stability stable
     */
    readonly gatewayArn: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/d/storagegateway_local_disk.html aws_storagegateway_local_disk}.
 *
 * @stability stable
 */
export declare class DataAwsStoragegatewayLocalDisk extends cdktf.TerraformDataSource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/d/storagegateway_local_disk.html aws_storagegateway_local_disk} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsStoragegatewayLocalDiskConfig);
    /**
     * @stability stable
     */
    get diskId(): string;
    private _diskNode?;
    /**
     * @stability stable
     */
    get diskNode(): string;
    /**
     * @stability stable
     */
    set diskNode(value: string);
    /**
     * @stability stable
     */
    resetDiskNode(): void;
    /**
     * @stability stable
     */
    get diskNodeInput(): string | undefined;
    private _diskPath?;
    /**
     * @stability stable
     */
    get diskPath(): string;
    /**
     * @stability stable
     */
    set diskPath(value: string);
    /**
     * @stability stable
     */
    resetDiskPath(): void;
    /**
     * @stability stable
     */
    get diskPathInput(): string | undefined;
    private _gatewayArn;
    /**
     * @stability stable
     */
    get gatewayArn(): string;
    /**
     * @stability stable
     */
    set gatewayArn(value: string);
    /**
     * @stability stable
     */
    get gatewayArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
