import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsVpcDhcpOptionsConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/vpc_dhcp_options.html#dhcp_options_id DataAwsVpcDhcpOptions#dhcp_options_id}.
     *
     * @stability stable
     */
    readonly dhcpOptionsId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/vpc_dhcp_options.html#tags DataAwsVpcDhcpOptions#tags}.
     *
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * filter block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/vpc_dhcp_options.html#filter DataAwsVpcDhcpOptions#filter}
     *
     * @stability stable
     */
    readonly filter?: DataAwsVpcDhcpOptionsFilter[];
}
/**
 * @stability stable
 */
export interface DataAwsVpcDhcpOptionsFilter {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/vpc_dhcp_options.html#name DataAwsVpcDhcpOptions#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/vpc_dhcp_options.html#values DataAwsVpcDhcpOptions#values}.
     *
     * @stability stable
     */
    readonly values: string[];
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/d/vpc_dhcp_options.html aws_vpc_dhcp_options}.
 *
 * @stability stable
 */
export declare class DataAwsVpcDhcpOptions extends cdktf.TerraformDataSource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/d/vpc_dhcp_options.html aws_vpc_dhcp_options} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsVpcDhcpOptionsConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _dhcpOptionsId?;
    /**
     * @stability stable
     */
    get dhcpOptionsId(): string;
    /**
     * @stability stable
     */
    set dhcpOptionsId(value: string);
    /**
     * @stability stable
     */
    resetDhcpOptionsId(): void;
    /**
     * @stability stable
     */
    get dhcpOptionsIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get domainName(): string;
    /**
     * @stability stable
     */
    get domainNameServers(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get netbiosNameServers(): string[];
    /**
     * @stability stable
     */
    get netbiosNodeType(): string;
    /**
     * @stability stable
     */
    get ntpServers(): string[];
    /**
     * @stability stable
     */
    get ownerId(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _filter?;
    /**
     * @stability stable
     */
    get filter(): DataAwsVpcDhcpOptionsFilter[];
    /**
     * @stability stable
     */
    set filter(value: DataAwsVpcDhcpOptionsFilter[]);
    /**
     * @stability stable
     */
    resetFilter(): void;
    /**
     * @stability stable
     */
    get filterInput(): DataAwsVpcDhcpOptionsFilter[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
