import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EbsDefaultKmsKeyConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ebs_default_kms_key.html#key_arn EbsDefaultKmsKey#key_arn}.
     *
     * @stability stable
     */
    readonly keyArn: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/ebs_default_kms_key.html aws_ebs_default_kms_key}.
 *
 * @stability stable
 */
export declare class EbsDefaultKmsKey extends cdktf.TerraformResource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/ebs_default_kms_key.html aws_ebs_default_kms_key} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EbsDefaultKmsKeyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _keyArn;
    /**
     * @stability stable
     */
    get keyArn(): string;
    /**
     * @stability stable
     */
    set keyArn(value: string);
    /**
     * @stability stable
     */
    get keyArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
