import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Ec2TransitGatewayRouteConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_route.html#blackhole Ec2TransitGatewayRoute#blackhole}.
     *
     * @stability stable
     */
    readonly blackhole?: boolean;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_route.html#destination_cidr_block Ec2TransitGatewayRoute#destination_cidr_block}.
     *
     * @stability stable
     */
    readonly destinationCidrBlock: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_route.html#transit_gateway_attachment_id Ec2TransitGatewayRoute#transit_gateway_attachment_id}.
     *
     * @stability stable
     */
    readonly transitGatewayAttachmentId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_route.html#transit_gateway_route_table_id Ec2TransitGatewayRoute#transit_gateway_route_table_id}.
     *
     * @stability stable
     */
    readonly transitGatewayRouteTableId: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_route.html aws_ec2_transit_gateway_route}.
 *
 * @stability stable
 */
export declare class Ec2TransitGatewayRoute extends cdktf.TerraformResource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_route.html aws_ec2_transit_gateway_route} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Ec2TransitGatewayRouteConfig);
    private _blackhole?;
    /**
     * @stability stable
     */
    get blackhole(): boolean;
    /**
     * @stability stable
     */
    set blackhole(value: boolean);
    /**
     * @stability stable
     */
    resetBlackhole(): void;
    /**
     * @stability stable
     */
    get blackholeInput(): boolean | undefined;
    private _destinationCidrBlock;
    /**
     * @stability stable
     */
    get destinationCidrBlock(): string;
    /**
     * @stability stable
     */
    set destinationCidrBlock(value: string);
    /**
     * @stability stable
     */
    get destinationCidrBlockInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _transitGatewayAttachmentId?;
    /**
     * @stability stable
     */
    get transitGatewayAttachmentId(): string;
    /**
     * @stability stable
     */
    set transitGatewayAttachmentId(value: string);
    /**
     * @stability stable
     */
    resetTransitGatewayAttachmentId(): void;
    /**
     * @stability stable
     */
    get transitGatewayAttachmentIdInput(): string | undefined;
    private _transitGatewayRouteTableId;
    /**
     * @stability stable
     */
    get transitGatewayRouteTableId(): string;
    /**
     * @stability stable
     */
    set transitGatewayRouteTableId(value: string);
    /**
     * @stability stable
     */
    get transitGatewayRouteTableIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
