import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Ec2TransitGatewayVpcAttachmentAccepterConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_vpc_attachment_accepter.html#tags Ec2TransitGatewayVpcAttachmentAccepter#tags}.
     *
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_vpc_attachment_accepter.html#tags_all Ec2TransitGatewayVpcAttachmentAccepter#tags_all}.
     *
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_vpc_attachment_accepter.html#transit_gateway_attachment_id Ec2TransitGatewayVpcAttachmentAccepter#transit_gateway_attachment_id}.
     *
     * @stability stable
     */
    readonly transitGatewayAttachmentId: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_vpc_attachment_accepter.html#transit_gateway_default_route_table_association Ec2TransitGatewayVpcAttachmentAccepter#transit_gateway_default_route_table_association}.
     *
     * @stability stable
     */
    readonly transitGatewayDefaultRouteTableAssociation?: boolean;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_vpc_attachment_accepter.html#transit_gateway_default_route_table_propagation Ec2TransitGatewayVpcAttachmentAccepter#transit_gateway_default_route_table_propagation}.
     *
     * @stability stable
     */
    readonly transitGatewayDefaultRouteTablePropagation?: boolean;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_vpc_attachment_accepter.html aws_ec2_transit_gateway_vpc_attachment_accepter}.
 *
 * @stability stable
 */
export declare class Ec2TransitGatewayVpcAttachmentAccepter extends cdktf.TerraformResource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/ec2_transit_gateway_vpc_attachment_accepter.html aws_ec2_transit_gateway_vpc_attachment_accepter} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Ec2TransitGatewayVpcAttachmentAccepterConfig);
    /**
     * @stability stable
     */
    get applianceModeSupport(): string;
    /**
     * @stability stable
     */
    get dnsSupport(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ipv6Support(): string;
    /**
     * @stability stable
     */
    get subnetIds(): string[];
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    private _transitGatewayAttachmentId;
    /**
     * @stability stable
     */
    get transitGatewayAttachmentId(): string;
    /**
     * @stability stable
     */
    set transitGatewayAttachmentId(value: string);
    /**
     * @stability stable
     */
    get transitGatewayAttachmentIdInput(): string;
    private _transitGatewayDefaultRouteTableAssociation?;
    /**
     * @stability stable
     */
    get transitGatewayDefaultRouteTableAssociation(): boolean;
    /**
     * @stability stable
     */
    set transitGatewayDefaultRouteTableAssociation(value: boolean);
    /**
     * @stability stable
     */
    resetTransitGatewayDefaultRouteTableAssociation(): void;
    /**
     * @stability stable
     */
    get transitGatewayDefaultRouteTableAssociationInput(): boolean | undefined;
    private _transitGatewayDefaultRouteTablePropagation?;
    /**
     * @stability stable
     */
    get transitGatewayDefaultRouteTablePropagation(): boolean;
    /**
     * @stability stable
     */
    set transitGatewayDefaultRouteTablePropagation(value: boolean);
    /**
     * @stability stable
     */
    resetTransitGatewayDefaultRouteTablePropagation(): void;
    /**
     * @stability stable
     */
    get transitGatewayDefaultRouteTablePropagationInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get transitGatewayId(): string;
    /**
     * @stability stable
     */
    get vpcId(): string;
    /**
     * @stability stable
     */
    get vpcOwnerId(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
