import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EipAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/eip_association.html#allocation_id EipAssociation#allocation_id}.
     *
     * @stability stable
     */
    readonly allocationId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/eip_association.html#allow_reassociation EipAssociation#allow_reassociation}.
     *
     * @stability stable
     */
    readonly allowReassociation?: boolean;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/eip_association.html#instance_id EipAssociation#instance_id}.
     *
     * @stability stable
     */
    readonly instanceId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/eip_association.html#network_interface_id EipAssociation#network_interface_id}.
     *
     * @stability stable
     */
    readonly networkInterfaceId?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/eip_association.html#private_ip_address EipAssociation#private_ip_address}.
     *
     * @stability stable
     */
    readonly privateIpAddress?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/eip_association.html#public_ip EipAssociation#public_ip}.
     *
     * @stability stable
     */
    readonly publicIp?: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/eip_association.html aws_eip_association}.
 *
 * @stability stable
 */
export declare class EipAssociation extends cdktf.TerraformResource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/eip_association.html aws_eip_association} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: EipAssociationConfig);
    private _allocationId?;
    /**
     * @stability stable
     */
    get allocationId(): string;
    /**
     * @stability stable
     */
    set allocationId(value: string);
    /**
     * @stability stable
     */
    resetAllocationId(): void;
    /**
     * @stability stable
     */
    get allocationIdInput(): string | undefined;
    private _allowReassociation?;
    /**
     * @stability stable
     */
    get allowReassociation(): boolean;
    /**
     * @stability stable
     */
    set allowReassociation(value: boolean);
    /**
     * @stability stable
     */
    resetAllowReassociation(): void;
    /**
     * @stability stable
     */
    get allowReassociationInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _instanceId?;
    /**
     * @stability stable
     */
    get instanceId(): string;
    /**
     * @stability stable
     */
    set instanceId(value: string);
    /**
     * @stability stable
     */
    resetInstanceId(): void;
    /**
     * @stability stable
     */
    get instanceIdInput(): string | undefined;
    private _networkInterfaceId?;
    /**
     * @stability stable
     */
    get networkInterfaceId(): string;
    /**
     * @stability stable
     */
    set networkInterfaceId(value: string);
    /**
     * @stability stable
     */
    resetNetworkInterfaceId(): void;
    /**
     * @stability stable
     */
    get networkInterfaceIdInput(): string | undefined;
    private _privateIpAddress?;
    /**
     * @stability stable
     */
    get privateIpAddress(): string;
    /**
     * @stability stable
     */
    set privateIpAddress(value: string);
    /**
     * @stability stable
     */
    resetPrivateIpAddress(): void;
    /**
     * @stability stable
     */
    get privateIpAddressInput(): string | undefined;
    private _publicIp?;
    /**
     * @stability stable
     */
    get publicIp(): string;
    /**
     * @stability stable
     */
    set publicIp(value: string);
    /**
     * @stability stable
     */
    resetPublicIp(): void;
    /**
     * @stability stable
     */
    get publicIpInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
