import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface S3BucketPublicAccessBlockConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket_public_access_block.html#block_public_acls S3BucketPublicAccessBlock#block_public_acls}.
     *
     * @stability stable
     */
    readonly blockPublicAcls?: boolean;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket_public_access_block.html#block_public_policy S3BucketPublicAccessBlock#block_public_policy}.
     *
     * @stability stable
     */
    readonly blockPublicPolicy?: boolean;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket_public_access_block.html#bucket S3BucketPublicAccessBlock#bucket}.
     *
     * @stability stable
     */
    readonly bucket: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket_public_access_block.html#ignore_public_acls S3BucketPublicAccessBlock#ignore_public_acls}.
     *
     * @stability stable
     */
    readonly ignorePublicAcls?: boolean;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket_public_access_block.html#restrict_public_buckets S3BucketPublicAccessBlock#restrict_public_buckets}.
     *
     * @stability stable
     */
    readonly restrictPublicBuckets?: boolean;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket_public_access_block.html aws_s3_bucket_public_access_block}.
 *
 * @stability stable
 */
export declare class S3BucketPublicAccessBlock extends cdktf.TerraformResource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/s3_bucket_public_access_block.html aws_s3_bucket_public_access_block} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: S3BucketPublicAccessBlockConfig);
    private _blockPublicAcls?;
    /**
     * @stability stable
     */
    get blockPublicAcls(): boolean;
    /**
     * @stability stable
     */
    set blockPublicAcls(value: boolean);
    /**
     * @stability stable
     */
    resetBlockPublicAcls(): void;
    /**
     * @stability stable
     */
    get blockPublicAclsInput(): boolean | undefined;
    private _blockPublicPolicy?;
    /**
     * @stability stable
     */
    get blockPublicPolicy(): boolean;
    /**
     * @stability stable
     */
    set blockPublicPolicy(value: boolean);
    /**
     * @stability stable
     */
    resetBlockPublicPolicy(): void;
    /**
     * @stability stable
     */
    get blockPublicPolicyInput(): boolean | undefined;
    private _bucket;
    /**
     * @stability stable
     */
    get bucket(): string;
    /**
     * @stability stable
     */
    set bucket(value: string);
    /**
     * @stability stable
     */
    get bucketInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _ignorePublicAcls?;
    /**
     * @stability stable
     */
    get ignorePublicAcls(): boolean;
    /**
     * @stability stable
     */
    set ignorePublicAcls(value: boolean);
    /**
     * @stability stable
     */
    resetIgnorePublicAcls(): void;
    /**
     * @stability stable
     */
    get ignorePublicAclsInput(): boolean | undefined;
    private _restrictPublicBuckets?;
    /**
     * @stability stable
     */
    get restrictPublicBuckets(): boolean;
    /**
     * @stability stable
     */
    set restrictPublicBuckets(value: boolean);
    /**
     * @stability stable
     */
    resetRestrictPublicBuckets(): void;
    /**
     * @stability stable
     */
    get restrictPublicBucketsInput(): boolean | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
