import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface WafregionalGeoMatchSetConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/wafregional_geo_match_set.html#name WafregionalGeoMatchSet#name}.
     *
     * @stability stable
     */
    readonly name: string;
    /**
     * geo_match_constraint block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/wafregional_geo_match_set.html#geo_match_constraint WafregionalGeoMatchSet#geo_match_constraint}
     *
     * @stability stable
     */
    readonly geoMatchConstraint?: WafregionalGeoMatchSetGeoMatchConstraint[];
}
/**
 * @stability stable
 */
export interface WafregionalGeoMatchSetGeoMatchConstraint {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/wafregional_geo_match_set.html#type WafregionalGeoMatchSet#type}.
     *
     * @stability stable
     */
    readonly type: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/r/wafregional_geo_match_set.html#value WafregionalGeoMatchSet#value}.
     *
     * @stability stable
     */
    readonly value: string;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/aws/r/wafregional_geo_match_set.html aws_wafregional_geo_match_set}.
 *
 * @stability stable
 */
export declare class WafregionalGeoMatchSet extends cdktf.TerraformResource {
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/aws/r/wafregional_geo_match_set.html aws_wafregional_geo_match_set} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: WafregionalGeoMatchSetConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _geoMatchConstraint?;
    /**
     * @stability stable
     */
    get geoMatchConstraint(): WafregionalGeoMatchSetGeoMatchConstraint[];
    /**
     * @stability stable
     */
    set geoMatchConstraint(value: WafregionalGeoMatchSetGeoMatchConstraint[]);
    /**
     * @stability stable
     */
    resetGeoMatchConstraint(): void;
    /**
     * @stability stable
     */
    get geoMatchConstraintInput(): WafregionalGeoMatchSetGeoMatchConstraint[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
